Skip to main content

Download run

Endpoint: GET /runs/{run_id}/download

Description Returns a CSV file of evaluation rows for the run. Column headers are dynamic: only columns that have at least one non-empty value are included.

Possible columns (in this order when present):

ColumnDescription
aliasRun alias, when set
promptRecord prompt
inputRecord input
contextRecord context
outputRecord output
golden_answerRecord golden answer
explanationEvaluation explanation
model_slugModel used for this evaluation
is_successWhether the evaluation completed successfully
evaluation_cost_rawRaw evaluation cost
evaluation_costNormalized evaluation cost
is_gte_thresholdWhether the score met the threshold
thresholdThreshold for this evaluation
resultEvaluation score
metric_idInternal metric id
eval_metadataMetric-specific JSON metadata
shortnameMetric shortname (for example ans_corr)
nameMetric display name

Parameters

  • Path: run_id — integer run id.

Error responses

  • 401 — Authentication failed.
  • 404 — Run not found, or no evaluation rows for that run (CSV would be empty).
  • 500 — Error building the CSV.

Responses

  • 200Content-Type: text/csv, file name like run_<run_id>_report.csv.

Example response (200)

shortname,result,threshold,is_gte_threshold,model_slug,prompt,output,golden_answer
ans_corr,100,70,true,gpt-4o,"What is 2+2?","4","4"
ans_corr,0,70,false,gpt-4o,"Capital of Germany?","Munich","Berlin"

curl

curl -o "run_1_report.csv" \
"https://api.aegisevals.ai/api/v1/runs/1/download" \
-H "Authorization: Bearer sk_00000000000000000000000000000000"